import { r as registerInstance, c as createEvent, h } from './index-wX3eJOEL.js';

const cardImageCss = () => `.card-image{width:100%;height:100%;vertical-align:bottom;object-fit:cover}`;

const CardImage = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.imgPosition = createEvent(this, "imgPosition", 7);
    }
    /** Image source URL. */
    src;
    /** Text description of the image for screen readers. */
    alt;
    /** Image position. */
    position;
    /** Emits the image position when it changes or is set. */
    imgPosition;
    handlePosition(position) {
        this.imgPosition.emit(position);
    }
    componentWillLoad() {
        this.handlePosition(this.position);
    }
    componentDidUpdate() {
        this.handlePosition(this.position);
    }
    render() {
        return h("img", { key: '9e3f0b0f3b8f14e591772d8e464f39d562f974af', src: this.src, alt: this.alt, class: "card-image" });
    }
};
CardImage.style = cardImageCss();

export { CardImage as ifx_card_image };
